[Fusionforge-commits] FusionForge branch master updated. cf59f89e2769f66dfbf7a957080086c4608fb904

Sylvain Beucler beuc-inria at fusionforge.org
Tue Dec 9 14:56:42 CET 2014


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, master has been updated
       via  cf59f89e2769f66dfbf7a957080086c4608fb904 (commit)
      from  99687730679746feda45b4aa35cbd3bdff5056be (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit cf59f89e2769f66dfbf7a957080086c4608fb904
Author: Sylvain Beucler <sylvain.beucler at inria.fr>
Date:   Tue Dec 9 14:56:32 2014 +0100

    install: mediawiki: fix install path heuristic when recommended package 'mediawiki-extensions' is installed

diff --git a/src/plugins/mediawiki/bin/install.sh b/src/plugins/mediawiki/bin/install.sh
index ccb3938..f3cbb52 100755
--- a/src/plugins/mediawiki/bin/install.sh
+++ b/src/plugins/mediawiki/bin/install.sh
@@ -6,7 +6,9 @@ data_path=$(forge_get_config data_path)
 plugindir=$(forge_get_config source_path)/plugins/mediawiki
 extraconfigdirs=$(forge_get_config extra_config_dirs)
 
-mediawikidir=$((ls -d /usr/share/mediawiki* 2>/dev/null || echo '/usr/share/mediawiki') | tail -1)
+mediawikidir=$( \
+    (ls -d /usr/share/mediawiki* | grep -v '-extensions' 2>/dev/null || echo '/usr/share/mediawiki') \
+    | tail -1)
 # Debian: /usr/share/mediawiki/
 # CentOS6: /usr/share/mediawiki119/
 

-----------------------------------------------------------------------

Summary of changes:
 src/plugins/mediawiki/bin/install.sh |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list